const quizData = [
    {
        question: "Python es un lenguaje de alto nivel??",
        a: "Sí",
        b: "No",
        c: "No es un lenguaje",
        correct: "a",
    },
    {
        question: "Python tiene implícitas estructuras de datos como:",
        a: "listas y tuplas",
        b: "diccionarios y conjuntos",
        c: "Todas las anteriores",
        correct: "c",
    },
    {
        question: "Programar en Python ayuda a realizar tareas complejas en poco código?",
        a: "Sí",
        b: "No",
        c: "Realiza tareas complejas pero su tiempo de respuesta es mucho más alto",
        correct: "a",
    },
    {
        question: "Quién creo el lenguaje de Python?",
        a: "Mark Elliot Zuckerber",
        b: "Jeff Bezos",
        c: "Guido van Rossum",
        correct: "c",
    },
    {
        question: "Cuál fue el sistema que Rossum trabajaba entre los años 80 y 90?",
        a: "Cpython",
        b: "Amazon",
        c: "Amoeba",
        correct: "c",
    },
    {
        question: "Cuál es la fecha de lanzamiento de Python 2.0?",
        a: "6 de octubre del 2002",
        b: "6 de octubre del 2000",
        c: "11 Septiembre del 2001",
        correct: "b",
    },
    {
        question: "Cuál fue la primera versión de Python en lanzarse al mercado?",
        a: "0.9.0",
        b: "0.2.0",
        c: "1.0.1",
        correct: "a",
    },
    {
        question: "Cuáles son las principales características de Python?",
        a: "Lenguaje de alto nivel e interpretado",
        b: "POO",
        c: "Todas las anteriores",
        correct: "c",
    },
    {
        question: "Cuál versión de Python es con la que se trabaja actualmente?",
        a: "3.11.7",
        b: "3.11.1",
        c: "3.12.0",
        correct: "b",
    },
    {
        question: "Qué premio le fue otorgado a Guido Van Rossum?",
        a: "Programador del año",
        b: "Software Libre",
        c: "Ninguno",
        correct: "b",
    },
];

const quiz= document.getElementById('quiz')
const answerEls = document.querySelectorAll('.answer')
const questionEl = document.getElementById('question')
const a_text = document.getElementById('a_text')
const b_text = document.getElementById('b_text')
const c_text = document.getElementById('c_text')
const submitBtn = document.getElementById('submit')


let currentQuiz = 0
let score = 0

loadQuiz()

function loadQuiz() {

    deselectAnswers()

    const currentQuizData = quizData[currentQuiz]

    questionEl.innerText = currentQuizData.question
    a_text.innerText = currentQuizData.a
    b_text.innerText = currentQuizData.b
    c_text.innerText = currentQuizData.c
}

function deselectAnswers() {
    answerEls.forEach(answerEl => answerEl.checked = false)
}

function getSelected() {
    let answer
    answerEls.forEach(answerEl => {
        if(answerEl.checked) {
            answer = answerEl.id
        }
    })
    return answer
}


submitBtn.addEventListener('click', () => {
    const answer = getSelected()
    if(answer) {
       if(answer === quizData[currentQuiz].correct) {
           score++
       }

       currentQuiz++

       if(currentQuiz < quizData.length) {
           loadQuiz()
       } else {
           quiz.innerHTML = `
           <h2>Contestaste ${score}/${quizData.length} preguntas correctamente</h2>

           <button3 onclick="location.reload()">Intentalo nuevamente</button3>
           `
       }
    }
})